<form [formGroup]="form">
  <mat-form-field appearance="outline" class="search">
    <mat-label>Search by UWI</mat-label>
    <input
      type="text"
      aria-label="Number"
      matInput
      formControlName="query"
      (keyup)="wellSearchQueryChanged()"
      [matAutocomplete]="wells"
      maxlength="255"
    />
    <mat-spinner *ngIf="loading > 0" diameter="32"></mat-spinner>
    <mat-autocomplete #wells="matAutocomplete" (optionSelected)="onWellSelected($event.option.value)">
      <mat-option *ngFor="let option of wellsOptions" [value]="option"
        >{{ option.wellName }} (UWI: {{ option.apiUwiNo }} | WINS: {{ option.wellNo }})</mat-option
      >
    </mat-autocomplete>
  </mat-form-field>
</form>
